Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.utils
Class XMLCharacterProperties

    java.lang.Object
      |
      +--weblogic.apache.xerces.utils.XMLCharacterProperties

public final class XMLCharacterProperties
extends java.lang.Object

A class representing properties of characters according to various W3C recommendations XMLCharacterProperties provides convenience methods for commonly used character tests. For performance reasons, the tables used by the convenience methods are also public, and are directly accessed by performance critical routines.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static byte` | `E_CharDataFlag`
`static byte` | `E_InitialNameCharFlag`
`static byte` | `E_NameCharFlag`
`static byte[]` | `fgAsciiAlphaChar`
`static byte[]` | `fgAsciiCharData`
`static byte[]` | `fgAsciiEncNameChar`
`static byte[]` | `fgAsciiInitialNameChar`
`static byte[]` | `fgAsciiInitialNCNameChar`
`static byte[]` | `fgAsciiNameChar`
`static byte[]` | `fgAsciiNCNameChar`
`static byte[]` | `fgAsciiPubidChar`
`static byte[]` | `fgAsciiWSCharData`
`static byte[]` | `fgAsciiXDigitChar`
`static byte[]` | `fgCharFlags`

Constructor Summary
`XMLCharacterProperties()`

Method Summary
`static void` | `initCharFlags()`
`static boolean` | `validEncName(java.lang.String encoding)` Check to see if a string is a valid encoding name according to [81] in the XML 1.0 Recommendation
`static boolean` | `validName(java.lang.String name)` Check to see if a string is a valid Name according to [5] in the XML 1.0 Recommendation
`static boolean` | `validNCName(java.lang.String name)` Check to see if a string is a valid NCName according to [5] from the XML Namespaces 1.0 Recommendation
`static boolean` | `validNmtoken(java.lang.String nmtoken)` Check to see if a string is a valid Nmtoken according to [7] in the XML 1.0 Recommendation
`static int` | `validPublicId(java.lang.String publicId)` Check to see if a string is a valid public identifier according to [13] in the XML 1.0 Recommendation
`static boolean` | `validVersionNum(java.lang.String version)` Check to see if a string is a valid version string according to [26] in the XML 1.0 Recommendation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fgAsciiXDigitChar

    public static final byte[] fgAsciiXDigitChar

### fgAsciiAlphaChar

    public static final byte[] fgAsciiAlphaChar

### fgAsciiEncNameChar

    public static final byte[] fgAsciiEncNameChar

### fgAsciiPubidChar

    public static final byte[] fgAsciiPubidChar

### fgAsciiInitialNameChar

    public static final byte[] fgAsciiInitialNameChar

### fgAsciiNameChar

    public static final byte[] fgAsciiNameChar

### fgAsciiInitialNCNameChar

    public static final byte[] fgAsciiInitialNCNameChar

### fgAsciiNCNameChar

    public static final byte[] fgAsciiNCNameChar

### fgAsciiCharData

    public static final byte[] fgAsciiCharData

### fgAsciiWSCharData

    public static final byte[] fgAsciiWSCharData

### E_CharDataFlag

    public static final byte E_CharDataFlag

### E_InitialNameCharFlag

    public static final byte E_InitialNameCharFlag

### E_NameCharFlag

    public static final byte E_NameCharFlag

### fgCharFlags

    public static byte[] fgCharFlags

Constructor Detail

### XMLCharacterProperties

    public XMLCharacterProperties()

Method Detail

### validVersionNum

    public static boolean validVersionNum(java.lang.String version)

  Check to see if a string is a valid version string according to [26] in the XML 1.0 Recommendation

  Parameters:
    `version` - string to check
  Returns:
    true if version is a valid version string

### validEncName

    public static boolean validEncName(java.lang.String encoding)

  Check to see if a string is a valid encoding name according to [81] in the XML 1.0 Recommendation

  Parameters:
    `encoding` - string to check
  Returns:
    true if encoding is a valid encoding name

### validPublicId

    public static int validPublicId(java.lang.String publicId)

  Check to see if a string is a valid public identifier according to [13] in the XML 1.0 Recommendation

  Parameters:
    `publicId` - string to check
  Returns:
    true if publicId is a valid public identifier

### validName

    public static boolean validName(java.lang.String name)

  Check to see if a string is a valid Name according to [5] in the XML 1.0 Recommendation

  Parameters:
    `name` - string to check
  Returns:
    true if name is a valid Name

### validNCName

    public static boolean validNCName(java.lang.String name)

  Check to see if a string is a valid NCName according to [5] from the XML Namespaces 1.0 Recommendation

  Parameters:
    `name` - string to check
  Returns:
    true if name is a valid NCName

### validNmtoken

    public static boolean validNmtoken(java.lang.String nmtoken)

  Check to see if a string is a valid Nmtoken according to [7] in the XML 1.0 Recommendation

  Parameters:
    `nmtoken` - string to checj
  Returns:
    true if nmtoken is a valid Nmtoken

### initCharFlags

    public static void initCharFlags()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD